Skip to content
v2.275.0

QueryParameterProperty Struct ​

An object that represents the query parameter in the request.

Example ​

ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_appmesh as appmesh } from 'aws-cdk-lib';
const queryParameterProperty: appmesh.CfnGatewayRoute.QueryParameterProperty = {
  name: 'name',

  // the properties below are optional
  match: {
    exact: 'exact',
  },
};

Properties ​

matchoptionalIResolvable | CfnGatewayRoute.HttpQueryParameterMatchPropertymatchoptionaltyping.Union[IResolvable, HttpQueryParameterMatchProperty]matchoptionalIResolvableMatchoptionalIResolvableMatchoptionalinterface{}#
The query parameter to match on.
namestringnamestrnameStringNamestringName*stringrequired#
A name for the query parameter that will be matched on.